Package com.ads.mm.etl.xml.mapping

# Class MMDBColumn.AppendedColumn

java.lang.Object
com.ads.mm.etl.xml.mapping.MMDBColumn.AppendedColumn

Enclosing class:
  MMDBColumn

public static class MMDBColumn.AppendedColumn extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_COLUMN_NAME`
  `static final String`
  `DEFAULT_DATATYPE`
  `static final String`
  `DEFAULT_ENTITY_UID`
  `static final String`
  `DEFAULT_ENVIRONMENT_NAME`
  `static final String`
  `DEFAULT_LENGTH`
  `static final String`
  `DEFAULT_PRECISION`
  `static final String`
  `DEFAULT_SCALE`
  `static final String`
  `DEFAULT_SYSTEM_NAME`
  `static final String`
  `DEFAULT_TABLE_NAME`
  `static final String`
  `DEFAULT_TABLE_TYPE`
  `static final String`
  `DEFAULT_XPATH`
  `static final String`
  `DEFAULTE_ENV_BUSINESS_ENTITY_TYPE`
  `static final String`
  `DEFAULTE_TABLE_BUSINESS_ENTITY_TYPE`
  `static final String`
  `SEPERATOR_COLUMNS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AppendedColumn(String systemName, String environmentName, String tableName, String columnName, String dataType, String length, String precision, String scale)`
  `AppendedColumn(String systemName, String environmentName, String tableName, String columnName, String dataType, String length, String precision, String scale, String xpath, String entityUid, String tableType, String tabBusinessEntityType, String envBusinessEntityType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getColumnName()`
  `String`
  `getDataType()`
  `String`
  `getEntityUid()`
  `String`
  `getEnvBusinessEntityType()`
  `String`
  `getEnvironmentName()`
  `String`
  `getLength()`
  `String`
  `getPrecision()`
  `String`
  `getScale()`
  `String`
  `getSystemName()`
  `String`
  `getTabBusinessEntityType()`
  `String`
  `getTableName()`
  `String`
  `getTableType()`
  `String`
  `getXpath()`
  `static ArrayList<HashMap<String,String>>`
  `parseColumns(MMDBColumn.AppendedColumn column)`
  `static String`
  `replicateToken(String tokenStr, String seperator, int count)`
  `void`
  `setColumnName(String columnName)`
  `void`
  `setDataType(String dataType)`
  `void`
  `setEntityUid(String entityUid)`
  `void`
  `setEnvBusinessEntityType(String envBusinessEntityType)`
  `void`
  `setEnvironmentName(String environmentName)`
  `void`
  `setLength(String length)`
  `void`
  `setPrecision(String precision)`
  `void`
  `setScale(String scale)`
  `void`
  `setSystemName(String systemName)`
  `void`
  `setTabBusinessEntityType(String tabBusinessEntityType)`
  `void`
  `setTableName(String tableName)`
  `void`
  `setTableType(String tableType)`
  `void`
  `setXpath(String xpath)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_SYSTEM_NAME

    public static final String DEFAULT_SYSTEM_NAME
    See Also:
      - Constant Field Values

  - ### DEFAULT_ENVIRONMENT_NAME

    public static final String DEFAULT_ENVIRONMENT_NAME
    See Also:
      - Constant Field Values

  - ### DEFAULT_TABLE_NAME

    public static final String DEFAULT_TABLE_NAME
    See Also:
      - Constant Field Values

  - ### DEFAULT_ENTITY_UID

    public static final String DEFAULT_ENTITY_UID
    See Also:
      - Constant Field Values

  - ### DEFAULT_TABLE_TYPE

    public static final String DEFAULT_TABLE_TYPE
    See Also:
      - Constant Field Values

  - ### DEFAULT_COLUMN_NAME

    public static final String DEFAULT_COLUMN_NAME
    See Also:
      - Constant Field Values

  - ### DEFAULT_DATATYPE

    public static final String DEFAULT_DATATYPE
    See Also:
      - Constant Field Values

  - ### DEFAULT_LENGTH

    public static final String DEFAULT_LENGTH
    See Also:
      - Constant Field Values

  - ### DEFAULT_PRECISION

    public static final String DEFAULT_PRECISION
    See Also:
      - Constant Field Values

  - ### DEFAULT_SCALE

    public static final String DEFAULT_SCALE
    See Also:
      - Constant Field Values

  - ### DEFAULT_XPATH

    public static final String DEFAULT_XPATH
    See Also:
      - Constant Field Values

  - ### SEPERATOR_COLUMNS

    public static final String SEPERATOR_COLUMNS
    See Also:
      - Constant Field Values

  - ### DEFAULTE_TABLE_BUSINESS_ENTITY_TYPE

    public static final String DEFAULTE_TABLE_BUSINESS_ENTITY_TYPE
    See Also:
      - Constant Field Values

  - ### DEFAULTE_ENV_BUSINESS_ENTITY_TYPE

    public static final String DEFAULTE_ENV_BUSINESS_ENTITY_TYPE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AppendedColumn

    public AppendedColumn(String systemName, String environmentName, String tableName, String columnName, String dataType, String length, String precision, String scale)

  - ### AppendedColumn

    public AppendedColumn(String systemName, String environmentName, String tableName, String columnName, String dataType, String length, String precision, String scale, String xpath, String entityUid, String tableType, String tabBusinessEntityType, String envBusinessEntityType)

- ## Method Details

  - ### getSystemName

    public String getSystemName()
    Returns:
      the systemName

  - ### setSystemName

    public void setSystemName(String systemName)
    Parameters:
      `systemName` - the systemName to set

  - ### getEnvironmentName

    public String getEnvironmentName()
    Returns:
      the environmentName

  - ### setEnvironmentName

    public void setEnvironmentName(String environmentName)
    Parameters:
      `environmentName` - the environmentName to set

  - ### getTableName

    public String getTableName()
    Returns:
      the tableName

  - ### setTableName

    public void setTableName(String tableName)
    Parameters:
      `tableName` - the tableName to set

  - ### getColumnName

    public String getColumnName()
    Returns:
      the columnName

  - ### setColumnName

    public void setColumnName(String columnName)
    Parameters:
      `columnName` - the columnName to set

  - ### getDataType

    public String getDataType()
    Returns:
      the dataType

  - ### setDataType

    public void setDataType(String dataType)
    Parameters:
      `dataType` - the dataType to set

  - ### getLength

    public String getLength()
    Returns:
      the length

  - ### setLength

    public void setLength(String length)
    Parameters:
      `length` - the length to set

  - ### getPrecision

    public String getPrecision()
    Returns:
      the precision

  - ### setPrecision

    public void setPrecision(String precision)
    Parameters:
      `precision` - the precision to set

  - ### getScale

    public String getScale()
    Returns:
      the scale

  - ### setScale

    public void setScale(String scale)
    Parameters:
      `scale` - the scale to set

  - ### getXpath

    public String getXpath()

  - ### setXpath

    public void setXpath(String xpath)

  - ### getEntityUid

    public String getEntityUid()

  - ### setEntityUid

    public void setEntityUid(String entityUid)

  - ### getTableType

    public String getTableType()

  - ### setTableType

    public void setTableType(String tableType)

  - ### getTabBusinessEntityType

    public String getTabBusinessEntityType()

  - ### setTabBusinessEntityType

    public void setTabBusinessEntityType(String tabBusinessEntityType)

  - ### getEnvBusinessEntityType

    public String getEnvBusinessEntityType()

  - ### setEnvBusinessEntityType

    public void setEnvBusinessEntityType(String envBusinessEntityType)

  - ### replicateToken

    public static String replicateToken(String tokenStr, String seperator, int count)

  - ### parseColumns

    public static ArrayList<HashMap<String,String>> parseColumns(MMDBColumn.AppendedColumn column)